
var productsObj = {
    Pizza: {
        name: "TK-Pizza",
        img: "img/productimg_pizza.png",
        kh: 112, //kohlenhydrate*//
        zu: 13.6, //zucker*//
        ew: 44, //eiweiss*//
        ehw1: "Glutenhaltig", //ernährungshinweise*//
        ehw2: "Nicht vegan/vegetarisch", //ernährungshinweise*//
        ehw3: "Enthälts Lactose", //ernährungshinweise*//
        link: "https://www.chefkoch.de/magazin/artikel/2140,0/Chefkoch/Pizza-selber-machen-Besser-als-jeder-Lieferservice.html",
        totalzu: 0, //totalzucker*//
        select:{is_selected: false, amount:0} //counter storage*//
        },
    
    Brot: {
        name: "Brot",
        img: "img/productimg_brot.png",
        kh: 149.7,
        zu: 10,
        ew: 26.1,
        ehw1: "Glutenhaltig",
        ehw2: "Vegan",
        ehw3: "Vegetarisch",
        link: "https://www.hobbybaecker.de/rezepte/groups/7/brot-selber-backen",
        totalzu: 0,
        select: {is_selected: false, amount: 0}
    },
    Muesli: {
        name: "Muesli",
        img: "img/productimg_muesli.png",
        kh: 340.8,
        zu: 106.8,
        ew: 60.6,
        ehw1: "Enthält meist Palmöl",
        ehw2: "Vegan",
        ehw3: "Glutenhaltig",
        link: "https://www.lecker.de/muesli-selber-machen-das-einfache-grundrezept-51871.html",
        totalzu: 0,
        select: { is_selected: false, amount: 0 }
    },
    Trockenobst: {
        name: "Trockenobst",
        img: "img/productimg_trockenobst.png",
        kh: 122.6,
        zu: 79.4,
        ew: 5.4, 
        ehw1: "Glutenfrei",
        ehw2: "Vegan",
        ehw3: "Laktosefrei",
        link: "https://www.ekitchen.de/kuechengeraete/backofen/rezepte/trockenobst-selber-machen-256523.html",
        totalzu: 0,
        select: { is_selected: false, amount: 0 }
    },
    Sauce: {
        name: "Sauce",
        img: "img/productimg_sauce.png",
        kh: 47.5,
        zu: 40,
        ew: 3.2,
        ehw1: "Enthält Stärke",
        ehw2: "Laktosefrei",
        ehw3: "Glutenfrei",
        link: "https://www.lecker.de/grillsaucen-5-basics-zu-fleisch-fisch-und-gemuese-51449.html",
        totalzu: 0,
        select: { is_selected: false, amount: 0 }
    },
    Fruchtjoghurt: {
        name: "Fruchtjoghurt",
        img: "img/productimg_fruchtjoghurt.png",
        kh: 32.5,
        zu: 29,
        ew: 5.1,
        ehw1: "Enthält Cholesterien",
        ehw2: "Nicht Vegan",
        ehw3: "Enthälts Lactose",
        link: "https://www.naturallygood.de/fruchtjoghurt-selber-machen-ohne-joghurtmaschine-mein-5-minuten-trick/",
        totalzu: 0,
        select: { is_selected: false, amount: 0 }
    },
    Softdrink: {
        name: "Softdrink",
        img: "img/productimg_softdrink.png",
        kh: 75,
        zu: 73,
        ew: 4.1,
        ehw1: "Enthält Ascorbinsäure",
        ehw2: "Säuerungsmittel",
        ehw3: "Enthält Citronensäure",
        link: "https://utopia.de/ratgeber/rezepte-selbstgemachte-limonade/",
        totalzu: 0,
        select: { is_selected: false, amount: 0 }
    },
}

for (var p in productsObj) {
    p_name = productsObj[p].name;
    cbcreate(label_text = p_name, cb_id = p)
}


function cbcreate(label_text = "standard value", cb_id = "no_id") {
    var pcontainer = document.getElementById("pcontainer");

    // erstelle checkbox element 
    var checkbox = document.createElement('input');

    // weise attribute zu
    //für erstelle checkbox
    checkbox.type = "checkbox";
    checkbox.name = "value";
    checkbox.value = "name";
    checkbox.id = cb_id;
    checkbox.className = "list_complete"

    // erstellt label für checkbox 
    var label = document.createElement('label');

    // weise attribute zu für
    // erstelltes label 
    label.htmlFor = "id";
    label.className = "labelStyling"

    
    label.appendChild(document.createTextNode(label_text));

    // appending the checkbox 
    // and label to div 
    pcontainer.appendChild(checkbox);
    pcontainer.appendChild(label);
}


//var products_selected = []

function get_selected2() {

    // check for selected elements
    for (var p in productsObj) {
        cb_id = p
        console.log(cb_id)
        cb = document.getElementById(cb_id)
        if (cb.checked == true) {
            console.log('added: ' + cb_id)
            products_selected.push(cb_id)
        }
    }
    console.log(products_selected)
}



function push_selected_prod() {
    localStorage.removeItem("outputSelection");
    for (var p in productsObj) {
        cb_id = p
        console.log(cb_id)
        cb = document.getElementById(cb_id)
        if (cb.checked == true) {
            console.log('added: ' + cb_id)

            productsObj[p].select.is_selected = true

            //products_selected.push(cb_id)
        }
    }
    console.log(productsObj)
    
    //storage speicherung
    //let str = JSON.stringify(products_selected);
    let str = JSON.stringify(productsObj);
    localStorage.setItem("outputSelection", str);
    //weiterleitung der Seite
    location.href = "selecteditems.html";
}

/*function push_selected_backup() {
    localStorage.removeItem("outputSelection");
    for (var p in productsObj) {
        cb_id = p
        console.log(cb_id)
        cb = document.getElementById(cb_id)
        if (cb.checked == true) {
            console.log('added: ' + cb_id)
            products_selected.push(cb_id)
        }
    }
    console.log(products_selected)

    //storage speicherung
    let str = JSON.stringify(products_selected);
    localStorage.setItem("outputSelection", str);
    //weiterleitung der Seite
    location.href = "selecteditems.html";
}*/
